/*Global style*/
.topbar {
  height: 70px;
  display: flex;
  align-items: center;
  margin-bottom: 0 !important;
}
.topbar .navbar-nav {
  margin-top: 0;
  height: 70px;
}

/*Calendar*/
.uk-button-primary {
  background-color: #4e73df;
  font-weight: bold;
}

.calendar-part {
  display: flex;
  justify-content: space-between;
  width: 100%;
  height: calc(100vh - 70px);
  overflow: hidden;
}
.calendar-part .uk-divider-vertical {
  margin-top: 0;
  border-left: 1px solid #808080;
  height: 100%;
}
.calendar-part .card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 15px;
  position: absolute;
  width: 269px;
  height: 150px;
  background-color: green;
  top: 0;
  left: 45px;
  z-index: 2;
  color: white;
}
.calendar-part .card:hover {
  text-decoration: none;
}
.calendar-part .color45 {
  background-color: green;
}
.calendar-part .color315 {
  background-color: red;
}
.calendar-part .color585 {
  background-color: #929200;
}
.calendar-part .color855 {
  background-color: #0D3349;
}
.calendar-part .color1155 {
  background-color: #03490b;
}
.calendar-part .color1425 {
  background-color: #490704;
}

/*Navigation*/
.nav-calendar {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 300px;
  height: 100%;
  margin: -1px 0 0 -1px;
}
.nav-calendar .uk-input {
  height: 30px;
}

.current-day button {
  width: 100%;
  height: 30px;
  line-height: 30px;
}

.calendar {
  width: 100%;
  height: calc(33% - 10px);
  line-height: 1.2em;
  font-size: 18px;
  text-align: center;
}

.calendar thead tr:last-child {
  font-size: small;
  color: #555555;
}

.calendar thead tr {
  height: 30px;
}

.calendar tbody {
  border: 1px solid grey;
}

.calendar tbody td {
  color: #2c567a;
  border: 1px solid grey;
}
.calendar tbody td:hover {
  cursor: pointer;
  background-color: #9be7ff;
  color: white;
}

.calendar tbody td:nth-child(n+6), .calendar .holiday {
  color: #e78c5c;
}

.calendar tbody td.active {
  background-color: #4e73df;
  color: white;
}

.calendar tbody td.today {
  background-color: #9be7ff;
  color: white;
}

/*Content*/
.content-calendar {
  width: calc(100% - 300px);
  height: 100%;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
}

.icon-row {
  height: 60px;
  min-width: 100%;
  display: inline-flex;
  border: 1px solid #808080;
}
.icon-row span {
  width: 45px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid #808080;
  margin-bottom: -1px;
  margin-left: -1px;
}
.icon-row .tutor_column {
  height: 100%;
  width: 269px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-right: 1px solid #808080;
}

.min-row {
  height: 35px;
  position: relative;
  display: none;
}
.min-row span {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  color: #3285c5;
  padding: 2px;
  width: 45px;
  border: 1px solid #808080;
  margin-bottom: -1px;
  height: 100%;
}
.min-row:hover span {
  background-color: #9be7ff;
}

/*Add visit*/
.tableVisit {
  border: 1px solid #e5e5e5;
}

.btnYellow {
  background-color: yellow;
  color: black;
}
.btnYellow:hover {
  color: black;
  background-color: #ffe929;
}

.btnGreen {
  background-color: green;
}
.btnGreen:hover {
  background-color: #068038;
}

/*Add user in current date*/
.addPage {
  width: 1180px;
  padding: 50px 0;
}

.hidden-data {
  display: none;
}

.addPage table {
  display: block;
}
.addPage tr, .addPage td, .addPage tbody, .addPage tfoot {
  display: block;
}
.addPage thead {
  display: none;
}
.addPage tr {
  padding-bottom: 10px;
}
.addPage td {
  padding: 10px 10px 0;
  text-align: center;
  color: #333;
  text-align: center;
}
.addPage td:first-child {
  text-align: left;
}
.addPage td button {
  margin: 0 10px;
  border: none !important;
}
.addPage td button:first-child {
  margin-left: 0;
}
.addPage td button:last-child {
  margin-right: 0;
}
.addPage td .uk-button-danger {
  background-color: #ff0030;
}
.addPage td:before {
  content: attr(data-title);
  color: #7a91aa;
  text-transform: uppercase;
  font-size: 1.4rem;
  padding-right: 10px;
  display: block;
}
.addPage table {
  width: 100%;
}
.addPage th {
  text-align: left;
  font-weight: 700;
  text-align: center;
}
.addPage th:first-child {
  text-align: left;
}
.addPage thead th {
  background-color: #4e73df;
  color: #fff;
  border: 1px solid #4e73df;
}
.addPage tfoot th {
  display: block;
  padding: 10px;
  text-align: center;
  color: #b8c4d2;
}
.addPage .button {
  line-height: 1;
  display: inline-block;
  font-size: 1.2rem;
  text-decoration: none;
  border-radius: 5px;
  color: #fff;
  padding: 8px;
  background-color: #4b908f;
}
.addPage .select {
  padding-bottom: 20px;
  border-bottom: 1px solid #28333f;
}
.addPage .select:before {
  display: none;
}
.addPage .detail {
  background-color: #BD2A4E;
  width: 100%;
  height: 100%;
  padding: 40px 0;
  position: fixed;
  top: 0;
  left: 0;
  overflow: auto;
  -moz-transform: translateX(-100%);
  -ms-transform: translateX(-100%);
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
  -moz-transition: -moz-transform 0.3s ease-out;
  -o-transition: -o-transform 0.3s ease-out;
  -webkit-transition: -webkit-transform 0.3s ease-out;
  transition: transform 0.3s ease-out;
}
.addPage .detail.open {
  -moz-transform: translateX(0);
  -ms-transform: translateX(0);
  -webkit-transform: translateX(0);
  transform: translateX(0);
}
.addPage .detail-container {
  margin: 0 auto;
  padding: 40px;
  max-width: 500px;
}
.addPage dl {
  margin: 0;
  padding: 0;
}
.addPage dt {
  font-size: 2.2rem;
  font-weight: 300;
}
.addPage dd {
  margin: 0 0 40px 0;
  font-size: 1.8rem;
  padding-bottom: 5px;
  border-bottom: 1px solid #ac2647;
  box-shadow: 0 1px 0 #c52c51;
}
.addPage .close {
  background: none;
  padding: 18px;
  color: #fff;
  font-weight: 300;
  border: 1px solid rgba(255, 255, 255, 0.4);
  border-radius: 4px;
  line-height: 1;
  font-size: 1.8rem;
  position: fixed;
  right: 40px;
  top: 20px;
  -moz-transition: border 0.3s linear;
  -o-transition: border 0.3s linear;
  -webkit-transition: border 0.3s linear;
  transition: border 0.3s linear;
}
.addPage .close:hover, .addPage .close:focus {
  background-color: #a82545;
  border: 1px solid #a82545;
}
@media (min-width: 460px) {
  .addPage td {
    color: #333;
  }
  .addPage td:before {
    display: inline-block;
    text-align: right;
    width: 140px;
  }
  .addPage .select {
    padding-left: 160px;
  }
}
@media (min-width: 720px) {
  .addPage table {
    display: table;
  }
  .addPage tr {
    display: table-row;
  }
  .addPage td, .addPage th {
    display: table-cell;
  }
  .addPage tbody {
    display: table-row-group;
  }
  .addPage thead {
    display: table-header-group;
  }
  .addPage tfoot {
    display: table-footer-group;
  }
  .addPage td {
    border: 1px solid #4e73df;
    color: #333;
  }
  .addPage td:before {
    display: none;
  }
  .addPage td, .addPage th {
    padding: 10px;
  }
  .addPage tr:nth-child(2n+2) td {
    background-color: #4e73df;
    color: white;
  }
  .addPage tfoot th {
    display: table-cell;
  }
  .addPage .select {
    padding: 10px;
  }
}
.addPage .green {
  background-color: #008010;
}
.addPage .light-green {
  background-color: #1cc88a;
}
.addPage .dark-blue {
  background-color: #3c8c95;
}
.addPage .dark-green {
  background-color: #236123;
  color: white;
}
.addPage .bottom-buttons {
  justify-content: flex-end;
}
.addPage .bottom-buttons button {
  margin-left: 20px;
}

/*# sourceMappingURL=calendar.css.map */
